Get a receivable by ID

Returns the details of an existing accounts receivable invoice, quote, or credit note with the specified ID.

The response fields vary depending on the document type. Use the type field to distinguish between different document types.

Entity users with the receivable.read.allowed_for_own permission (rather than allowed) can access only documents that they created themselves.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

receivable_idstringRequired
ID of an existing invoice, quote, or credit note that you want to retrieve.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
quoteobject
OR
invoiceobject
OR
credit_noteobject

Errors

400
Get Receivables ID Request Bad Request Error
401
Get Receivables ID Request Unauthorized Error
403
Get Receivables ID Request Forbidden Error
404
Get Receivables ID Request Not Found Error
422
Get Receivables ID Request Unprocessable Entity Error
429
Get Receivables ID Request Too Many Requests Error